AEVOL(1)

/#test with man -l <file>

NAME
aevol - an in silico experimental evolution platform

SYNOPSIS
aevol_misc_robustness -h | --help
aevol_misc_robustness -V | --version
aevol_misc_robustness -g GENER [-n NBCHILDREN] [-i INDEX | -r RANK]

DESCRIPTION
Aevol is a simulation platform that allows one to let populations of digital organisms evolve in different conditions and study experimentally the mechanisms responsible for the structuration of the genome and the transcriptome.

aevol_misc_robustness
    computes the replication statistics of all the individuals of a given generation, like the proportion of neutral, beneficial, deleterious offsprings. This is done by simulating NBCHILDREN replications for each individual (1000 replications by default), with its mutation, rearrangement and transfer rates. Depending on those rates and genome size, there can be several mutations per replication. Those global statistics are written in stat/robustness_GENER.out, with one line per individual in the specified generation. The program also outputs detailed statistics for one of the individuals (the best one by default). The detailed statistics for this individual are written in stats/replication_GENER.out, with one line per simulated child of this particular individual.

OPTIONS

-h, --help
    print help, then exit

-V, --version
    print version number, then exit

-g, --gener GENER
specify the generation number for which the robustness statistics are desired

-n, --nb-children NBCHILDREN
specify the number of reproductions to simulate for each individual

-i, --index INDEX
specify the index (ID in current generation) of the individual for whom detailed reproduction statistics are desired

-r, --rank RANK
specify the rank of the individual for whom detailed reproduction statistics are desired

SEE ALSO
aevol_create, aevol_modify, aevol_propagate, aevol_run, aevol_misc_view_generation, aevol_misc_create_eps